Bug 189302 - dbus not working
dbus not working
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-18 18:40 EDT by Fernando Fernandez Pedraza
Modified: 2013-03-13 00:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 18:18:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Fernandez Pedraza 2006-04-18 18:40:31 EDT
Description of problem:

dbus not working

$ env | grep DBUS
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-lbcw62ehad,guid=3f614544183cebbe4620fedd4fc3e400

$ dbus-monitor --session
Failed to open connection to session message bus: Failed to connect to socket
/tmp/dbus-lbcw62ehad: Connection refused

Version-Release number of selected component (if applicable): 0.61-3

How reproducible:
always

Steps to Reproduce:
1. check with dbus-monitor --session
2.
3.
  
Actual results:
error message as shown above

Expected results:
no error

Additional info:
kernel 2.6.16-1.2080_FC5 #1 SMP, x86_64
impacts on gnome-screensaver, it's also not working, probably some other
components too.
Comment 1 John (J5) Palmieri 2006-04-19 16:25:04 EDT
Does /usr/bin/dbus-daemon exist?
Comment 2 Fernando Fernandez Pedraza 2006-04-19 16:47:44 EDT
It exists:

$ ls -l /usr/bin/dbus-*
-rwxr-xr-x 1 root root  97248 feb 25 00:19 /usr/bin/dbus-binding-tool
-rwxr-xr-x 1 root root  12192 may 23  2005 /usr/bin/dbus-cleanup-sockets
-rwxr-xr-x 1 root root 596680 may 23  2005 /usr/bin/dbus-daemon
-rwxr-xr-x 1 root root  19832 feb 25 00:19 /usr/bin/dbus-launch
-rwxr-xr-x 1 root root  14504 feb 25 00:19 /usr/bin/dbus-monitor
lrwxrwxrwx 1 root root     19 abr 19 00:32 /usr/bin/dbus-send -> ../../bin/dbus-send



Comment 3 John (J5) Palmieri 2006-04-19 16:53:08 EDT
rpm -qf /usr/bin/dbus-daemon

If it is not owned by a package (which it should not be) then rm -f
/usr/bin/dbus-daemon.  Reboot and try again.
Comment 4 Fernando Fernandez Pedraza 2006-04-19 17:53:24 EDT
Solved!
Thanks a lot.

Note You need to log in before you can comment on or make changes to this bug.